Home  |  Message Board  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

 

 

 

 

 

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
xxlshirts_fit_all Posted on 02/12/2019 12:34
Death penalty for terrorists...
 
its just been suggested that the death penalty needs to be brought back for terrorists on Jeremy Vine...

FFS, i can see that putting a suicide bomber off [rle]

Link:
IP: Logged
TenStoneTom Posted on 02/12/2019 12:44

Death penalty for terrorists...
They usually get double tapped anyway without the need for costly trials and custody battles appeals etc.
IP: Logged
Boro_Boro_Boro Posted on 02/12/2019 12:46

Death penalty for terrorists...
If we had it then this POS that caused the trouble on Friday would have been worm food long before he got to the bridge.

Its a Yes from me... and always has been.
IP: Logged
coluka Posted on 02/12/2019 12:53

Death penalty for terrorists...
So what is the problem if it wont put them off? Surely they donít deserve leniency? Had it been in place, two lives would have been saved last week.

I understand the arguments around certainty, but I do find it odd that the more liberal amongst society call it barbaric, yet are quite happy to have animals slaughtered for their dinner tables, so long as they don't see how it happens. I appreciate you are all busy people, but give it a thought, maybe over lunch when you are having some downtime

I am not. a veggie or a vegan btw.
IP: Logged
clive_road_stamper Posted on 02/12/2019 12:56

Death penalty for terrorists...
Death penalty makes no sense at all. None of the arguments stand up to scrutiny.

Its a never for me.
IP: Logged
jam69 Posted on 02/12/2019 12:59

Death penalty for terrorists...
simply won't happen
IP: Logged
Ironops Posted on 02/12/2019 13:03

Death penalty for terrorists...
'more liberal amongst society call it barbaric, yet are quite happy to have animals slaughtered for their dinner tables'

I guess that because most people see human life as more valuable than animal life

Personally I dont think making martyrs of them will have any effect, its kinda what they want.

What sets our society, and in fact western society in general, apart from the types of societies these scumbags advocate is that we treat people with justice, dignity, humanity and fairness, and we dont stoop to their level.

IP: Logged
10hickton Posted on 02/12/2019 13:32

Death penalty for terrorists...
Where do we sign up?

Exterminate then they cant do it again.
IP: Logged
ItalianJob Posted on 02/12/2019 13:36

Death penalty for terrorists...
'What sets our society, and in fact western society in general, apart from the types of societies these scumbags advocate is that we treat people with justice, dignity, humanity and fairness, and we dont stoop to their level.

I'd happily stoop to their level as I believe that the lives of those two innocents is more valuable than the scum that killed them.
IP: Logged
expat_smoggie Posted on 02/12/2019 13:42

Death penalty for terrorists...
Letís face it weíve lost the so called war on terror when Blair appeased the IRA ó,whether that was right or wrong the point is whatís good for the goose ainít necessarily good for the Gander. These Muslim terrorists are a very different breed and will die for their cause so no amount of deterrents will stop them ó just donít bring them into the countryó kind of that simple. In this latest case all of the terrorists family should be in my opinion deported as they are linked to the crime and regardless of whether or not our justice system could find them culpable to the crimes they should be given notice to leave.
IP: Logged
Corcaigh_the_Cat Posted on 02/12/2019 13:45

Death penalty for terrorists...
It wouldn't make a difference, the terrorist had a good idea that he was facing the loss of his own life anyway.

Does the argument for include economic terrorists, they kil far more innocent people.
IP: Logged
Greenandblack Posted on 02/12/2019 13:46

Death penalty for terrorists...
In this tragic case, Usman Khan was not jailed for murder. He was convicted and jailed for conspiracy, so presumably would not have been executed.

However one of the people that tackled him was a murderer, and if he'd been executed then Khan's spree might have been worse.
IP: Logged
coluka Posted on 02/12/2019 13:49

Death penalty for terrorists...
Greenandblack, the convicted murder was not a terrorist, so you are wrong, the thread relates to the death penalty for terrorists
IP: Logged
Ironops Posted on 02/12/2019 14:11

Death penalty for terrorists...
Fair enough Coluka - but as we have seen in this case and others, theres often no terrorist left to convict and execute after the attrocity has taken place.

IP: Logged
coluka Posted on 02/12/2019 14:55

Death penalty for terrorists...
Ironops Whilst often thats the case, it isnít always.

My issue i guess is that in prison some go on to radicalise other prisoners who then may go on to commit further atrocities.

Taking the moral high ground we do in the west is not working. I understand we place a higher value on human life than we do animals. However, I think that with that higher value should come greater responsibility and accountability. If a dog attacks a human it is often destroyed without question, humans know better and have the ability of understanding consequence, an animal does not have that insight.

Terrorists choose that way of life, their victims have no say, nor do their families who carry their personal burden throughout the rest of their lives. I appreciate that in a civilised society the death penalty is abhorrent, but in a civilised society, terrorists would not exist would they? I just think allowing them oxygen allows them to take oxygen from innocents.
IP: Logged
WoodallServices Posted on 02/12/2019 15:19

Death penalty for terrorists...
WTF has eating a burger got to do with the death penalty?
Coluka you want to give up on this mate as every post you write makes you sound more absurd.
It would be a legal nightmare.
What defines a terrorist? One mans terrorist is another mans freedom fighter. What stops a government (as in Trump) redefining or adding to who or what is a terrorist?
As the OP said it will certainly dissuade the next suicide bomber!
IP: Logged
American_Mary Posted on 02/12/2019 15:30

Death penalty for terrorists...
Creating martyrdom for those that crave martyrdom isnít going to work as a deterrent, look at the funding of policing and prisons, look at sentencing and make criminals, not just terrorists, serve harsher and full term sentences. Itís a very emotive subject and I can understand the anger but the death penalty, in my opinion, would have little or no impact on those intent on committing these heinous acts.
IP: Logged
coluka Posted on 02/12/2019 15:42

Death penalty for terrorists...
WoodallServices. It would be up to the Government to define what a terrorist was and then apply the law. I know it will never happen. In my book I would say anyone who has caused the death of an innocent through a method deemed as terrorism loses their right to live.

I am guessing none of us have been directly affected. If If I lost a loved one in such circumstances I would want the terrorist gone and I make no apologies for my view. I know someone caught up in 7/7 bombings in London and tbf, they too are against the death penalty despite what they witnessed. Like I say, it wont ever happen anyway.
IP: Logged
Ironops Posted on 02/12/2019 15:51
Edited On: 02/12/2019 15:52
Death penalty for terrorists...
Coluka - I understand the points your making - we need to do something different. But the death penalty isnt going to deter terrorists.

We do need to look at the causes of why people have been radicalised - I dont know why that happens to be honest, but when people talk about the wars we have been involved with and our support for foreign oppressive regimes maybe that has something to do with it - I honestly dont know.

We seem to have lots of people locked up in prison at any given time - maybe some of them shouldnt be there is more room for these scum bags and they wouldnt be released early?

Or maybe we just have to bite the bullet and spend a lot more money on policing (20k less since 2010) more money for the justice system and more money for more prison places

One final thought - if it was a choice between being locked in a small cell for the rest of your life, cut off from everyone, no contact with the outside world with no possibility of parole, or execution, which would you choose?

Maybe execution isnt the worst thing to happen to these people?
IP: Logged
raglasher Posted on 02/12/2019 16:33

Death penalty for terrorists...
I am with you 10 Hickton
IP: Logged
borobuddah Posted on 02/12/2019 16:43

Death penalty for terrorists...
Coluka you are mixed up, taking human life by the state for someone taking human life is a complete hypocrisy.

I eat meat and have killed animals to do so, you have no box to put me in
IP: Logged
Ticker_Tape Posted on 02/12/2019 16:43

Death penalty for terrorists...
I read a piece on it in the 70s by British MPs, wont happen due to reprisals...cousins aunts, friends, they wont vote for it.
IP: Logged
Mars_Bonfire Posted on 02/12/2019 16:43

Death penalty for terrorists...
The Birmingham 6 and the Guildford 4 were ďterrorists.Ē Many thought they should hang.

Those men are/were innocent.
IP: Logged
Ticker_Tape Posted on 02/12/2019 16:48

Death penalty for terrorists...
Thats the real reason we dont have a death penalty.....nothing to do with humane reasons really, convient excuse though.
IP: Logged
borobuddah Posted on 02/12/2019 16:52

Death penalty for terrorists...
Well said greenandblack
IP: Logged
mikeyyyy Posted on 02/12/2019 16:58
Edited On: 02/12/2019 16:59
Death penalty for terrorists...
If people can't tell the difference between suffering in prison for life v obtaining peace through an ultimately painless death where only the family of terrorists suffer, I have no hope for you.

Edit: In practical, it also makes them a martyr.
IP: Logged
coluka Posted on 02/12/2019 17:06

Death penalty for terrorists...
Ironops, all fair points and comment. I was not trying to suggest it would be a deterrent, It wont be. Just a consequence as they would know their fate if caught and convicted.

I agree that the UK does not always help its case abroad, when we supply arms to certain countries. I suspect we do it for more than trade purposes though as many will realise.

We are quite an arrogant nation in many respects, acting as part of the world police, but that is only part of the story in truth.

The causes of radicalisation will be varied. Ideology for some, religion for some, money, power, feelings of self worth lots of other factors no doubt.

I do think we need more prisons as the population grows, just like we need more hospitals, schools etc. It all costs money and so yes we need to contribute more financially on public safety.

If we are to put dangerous terrorists and criminals in prison I would happily ensure they were locked in a cell in solitary, unfortunately they are allowed human rights despite them removing innocents of their right to life. No mixing and let them rot, like the evil scum they are, till death, Is also acceptable for me.

Rehabilitation does not work too well, across all crimes the rate of reoffending within 1 year was about 29% (not terrorism) there are bound to be some of the others released who have committed crime but just not been caught too.

I doubt society in general would ever agree what the answer is. In truth their isnít an answer. We live in a global world and the internet enables those who aim to radicalise to do so from the comfort of their abodes.

I do not believe their is an answer to how to prevent terrorism. All you can do is try to limit the opportunities people have and make the consequences as difficult as you can within the limits to what society will accept. We will all be always at risk of being in the wrong place at the wrong time and hope that the great work undertaken to prevent situations arising continues.

We do need to look at how to prevent radicalisation within prisons though. Solitary is the only sure fire way but some consider that barbaric.
IP: Logged
jimstewart Posted on 02/12/2019 17:14

Death penalty for terrorists...
Anyone convicted of terrorist offences should never see the light of day again in my opinion. Iím against the death scentence as in many cases itís precisely what the twisted feckers want.
IP: Logged
bear66 Posted on 02/12/2019 17:34

Death penalty for terrorists...
Another viewpoint from someone much closer to the consequences of terrorist activity than any of us.

Link: Link
IP: Logged
Old-boot Posted on 02/12/2019 17:37

Death penalty for terrorists...
Old sparky...or the gas chamber......nothing too humane! [;)]
IP: Logged
bear66 Posted on 02/12/2019 17:40

Death penalty for terrorists...
"Rehabilitation does not work too well, across all crimes the rate of reoffending within 1 year was about 29% (not terrorism) there are bound to be some of the others released who have committed crime but just not been caught too."

We gave up trying in 2010. A relative in the probation service believes it's not fit for purpose since the cuts and management that came with privatisation. She works specifically with repeat offenders.
IP: Logged
richb Posted on 02/12/2019 18:05

Death penalty for terrorists...
There's two problems with this. Firstly, it let's them die as martyrs for the cause, gives terrorist groups a big propaganda victory and may convince others to try. It's definitely not a deterrent to someone who is prepared to die anyway.

Second is that the definition of "terrorist" is set by the state. At some points in recent history people out on climate change marches have been classed as terrorists despite never plotting anything more than a peaceful protest. What happens if a group you support is determined by a future government to be "terrorist" what happens if planning or planning to attend a march for this group is considered to be a terrorist activity. I'm sure I don't have to spell out how introducing a death penalty could be dangerous in the wrong hands.

I don't claim to know the answer, but I don't think the death penalty is it.
IP: Logged
red_harrington Posted on 02/12/2019 18:08

Death penalty for terrorists...
Rehabilitation works - the lads that apprehended the terrorist were ex-offenders

But it only works if it's funded properly

The Tories have done nothing to address the lack of funding in the 10 years they've been in power

As for the death penalty, NO thanks, we are much better than that.
IP: Logged
xxlshirts_fit_all Posted on 02/12/2019 19:00

Death penalty for terrorists...
Do we include low level terrorists, do we kill someone who we sort of suspect being a terrorist, do we kill anyone on the watch list....

May be we need future cop or minority report...

Just to be clear I'm dead against it in this country.... for any crime, as much as some have sickened me, it sickens me more to think state capital punishment t can be considered...

IP: Logged
redwurzel Posted on 02/12/2019 19:07

Death penalty for terrorists...
Is this just for Muslim and Irish Republican terrorists?

Who ever the Government kills they have to be so careful of not making martyrs of those killed. Sometimes its better just to lock people up for life.
IP: Logged
jimstewart Posted on 02/12/2019 19:11

Death penalty for terrorists...
Completely agree redwurzel. They should be locked up for good.
IP: Logged
redwurzel Posted on 03/12/2019 01:02

Death penalty for terrorists...
In 1916 the British Government executed all the leaders of the Easter Rising in Dublin they could.

Wrong decision - it turned public opinion in most of Ireland against the British and within 7 years most of Ireland were give independence. Today the graves are shrines to Irish Independence.
IP: Logged
borofan402 Posted on 03/12/2019 02:49

Death penalty for terrorists...
Coluka speaks a lot of sense on this thread.

At the end of the day two innocent people have lost their lives to a man who was found to be organizing a terrorist plot years earlier.

He should never have been released EVER or his life immediately forfeit.

How would you feel if it was one of your loved ones on London Bridge that day?
IP: Logged
Billogcentral Posted on 03/12/2019 05:12

Death penalty for terrorists...
Redwurzel....does it really matter if you make people into martyrs? In the eyes of many , one man's freedom fighter/jihadi, is another mans murdering scumbag and always will be in my view. These people want to create great harm to our way of life and we should be using the stick treatment more than the carrot. It may be a bone of contention but we should threaten these jihadis with capital punishment. We have done all the wishy washy lefty ideological attempts of trying to convert these Islamists to a more liberal way of thinking and it simply doesn't work - that is fact and no more additional funding will change this. It will never work as Islam conflicts with our western values which go back centuries, I'm not slagging of islam here, many muslims live peaceful lives and are decent folk, but when you have radical views as ISIS portray, you will never change them. The same goes for IRA terrorists, they kill and maim in the name of freedom and should have been taken to the gallows. Fortunately those days are now gone. I doubt very much we will get capital punishment back for terrorism, but at the very least, get these scumbags locked up for life if we cant get state sponsorship of slotting these guys to save all the trouble of going through the courts. RIP to those 2 killed but could have been prevented had this guy have been locked up for life

IP: Logged
ZippytheHippy Posted on 03/12/2019 07:42

Death penalty for terrorists...
ones man's terrorist and all that. imagine the state S.A. would be in if Mandela & Ghandi had done the spandau ballet?
IP: Logged
richb Posted on 03/12/2019 08:35

Death penalty for terrorists...
The reason you don't want to make them martyrs is because you end up making attacks more, not less, likely. Especially with people who are already prepared to die. The terrorist on Friday wore a fake suicide vest to make sure that he was shot dead. How do you think the death penalty would work as a deterrant for him?

Experts on these kind of crimes don't think that introducing the death penalty will help. What they do think will help is a stop to the dramatic coverage of these events. When the terrorists face is all over the news it inspires others to do the same thing. It should be reported in a matter of fact tone with focus on the victims rather than the perpetrator. You probably won't be convinced on this on Muslim terror attacks (although you should, it's not until recent years that they have been carried out in this way) but consider that the New Zealand terrorist claimed to be inspired by Anders Brevik and he's not the only far right terrorist to make this claim.

The other issue is that stopping yesterday's attack would require executions or life imprisonment for people who have never actually committed a terror attack. You're less likely to have people deciding against carrying out an attack once they've got involved in discussing it with someone. If you're going to be executed for talking to people about committing an attack, how can you ever change your mind? You could be dropped in it to the police at any time, it's probably safer to stay involved.

Also, our biggest ally when it comes to preventing these attacks are those who have been rehabilitated. We have people who plotted but never carried out attacks who have dedicated their lives to stopping these groups after leaving prison. They are vital if we want to actually prevent these attacks from taking place.

It's important to remember that most of these people have never committed any attack. Most actual terrorist attackers end up dead at the scene of the crime. A law which promotes the death penalty for plotting could easily be used to shut down any kind of movement the government doesn't like. Green movements and anti-monarchists have been monitored as terrorists in the past. Because of the way our law works, you can't just apply it to one specific type of terrorist. If the government classes your group as a terrorist group and you're convicted of conspiring with them, you would be executed. It's a very dangerous road to down.

There are questions to be asked about how this happened. But bringing back the death penalty isn't the answer to any of them. Personally, I don't think we can write off rehabilitation until we actually fund it properly and give ourselves the chance to actually get it right. When most of the experts think it's the best way to deal with it, I think we have a duty to at least give them a fighting chance.
IP: Logged
bear66 Posted on 03/12/2019 08:40

Death penalty for terrorists...
"How would you feel if it was one of your loved ones on London Bridge that day?"

I don't know but we know how the father of one of them feels.

Link: Link
IP: Logged
klaus00 Posted on 03/12/2019 08:47

Death penalty for terrorists...
How many more times are you going to post a link to the same story in this thread?
IP: Logged
Duffman Posted on 03/12/2019 08:50

Death penalty for terrorists...
Death penalty has no place in a civilised society. We are no better than the murderers themselves. We must respect the sanctity of life for all- even those you may feel donít deserve it. Equally, miscarriages of justice however awful for the innocent party can at least be fixed and the accused given some freedom back. Hard to do it when your six feet under. Humans are fallible and make mistakes so it is always a no from me.
IP: Logged
bear66 Posted on 03/12/2019 08:59

Death penalty for terrorists...
"How many more times are you going to post a link to the same story in this thread?"

It was clearly needed a second time to help some poor chap have a better understanding that hate and revenge are not the answer.
IP: Logged
klaus00 Posted on 03/12/2019 09:05

Death penalty for terrorists...
And clearly the wishy washy answer isn't either.
IP: Logged
coluka Posted on 03/12/2019 09:38

Death penalty for terrorists...
I appreciate that last comment was not specifically for me bear66, but I feel compelled to say that my view is in no way shape or form based on hatred or revenge.

My view is based on justice, public safety and security. I do not hate. Revenge is not something that particularly exists in my psyche. I suspect those that may have similar views will put justice and public safety ahead of the rights of terrorists who are indiscriminate in who they frighten and harm in the name of a false prophet.

The way we treat convicted terrorists is far too lenient for me. I struggle to believe they can be de-radicalised. We regularly hear of the sleeper cells that exist and are awoken to suit. Khan fooled the system as had one of his previous accomplices. The programme is flawed and 2 bright lives lost and other lives scarred for ever.

People that believe it is not a deterrent are right, it wont be. People who suggest it creates martyrs and will increase terrorism have no proof that will happen. If people felt the killing of a terrorist would spur them on to commit terrorism themselves, then they are already a serious problem anyway.

Anyone who has this ideological martyrdom burning within them has no place in the UK and is undeserving of compassion from our people and our politicians. They deserve the same equal rights that they afford to the innocent victims they slaughter on our streets in the name of their religion.

IP: Logged
bear66 Posted on 03/12/2019 10:36

Death penalty for terrorists...
There are many examples of people who have reformed and go on to promote a positive message in their communities. That's the prize for rehabilitation and something that the two people killed believed in.

This is a complex issue that traditional law, order and justice is failing to solve. The degree of jihadi terrorism (in the UK) is no where near that which we experienced during the troubles. It seemed inconceivable that 400 years of history could be smoothed over in a decade. This is a very different problem, but I'm grateful to those who are trying to come up with different ways to come up with possible solutions.
IP: Logged
hewielewie Posted on 03/12/2019 11:24

Death penalty for terrorists...
Coluka you said:

"In my book I would say anyone who has caused the death of an innocent through a method deemed as terrorism loses their right to live."

Under that definition Usman Khan would still have been alive to carry out the attack.
IP: Logged
Muscle_Museum Posted on 03/12/2019 12:09

Death penalty for terrorists...
Outside of improving police presence and monitoring, there's nothing we can do to stop it. There's no reason why it would stop, jihad has existed throughout the history of the religion and caliphate inspired terrorism has existed since the 18th century.

Not repeating previous mistakes in regards to foreign policy will help, but that's a relatively minor aggravating factor compared to the ultimate justification for their acts which is Islam, and their Jihadist interpretation. Whilst actual terrorists occupy a small minority of muslims, they draw from a much larger pool of Conservative muslims and Islamists across the middle east, both of which are problematic and completely opposed to progressive liberal values.

As a country, we need to find the right balance between addressing the religious concerns honestly, and ensuring that the Muslim population of the UK, which is largely liberal, do not feel alienated. Obviously this is a difficult task, as Muslim reformers in the UK can't even get the community on board, and we will always have a cross section of the public who act irrationally and condemn innocent people.

Ultimately though, every lie owes a debt to the truth, and we need to be honest about the roots of the ideology and why this keeps happening across the planet, including in countries that are not guilty of the same 'foreign intervention'. We also need to be more proactive as a country, and as progressives in calling out the state of equality and human rights across the Islamic world. We will beat ourselves to death over the mere scent of homophobia, misogyny etc but the same people are eerily quiet about the brutal reality of these same issues on a far worse scale in the Islamic world, all of which are purely down to religion.
IP: Logged
Billogcentral Posted on 03/12/2019 21:02

Death penalty for terrorists...
Ear...the stats say there is a low % of radicals who have been jailed and come out reformed. Head of probation service confirmed that the other day. These people are a danger and all the surveillance in the world wont stop a line wolf. Security services say they have to get lucky all the time, and terrorist only has to get lucky once. So if you continue to give light sentences and continue down the trying to reform route, which isn't working, then all your going to get is more terrorist events. Look how many attempts have been thwarted by security services, its alarming. So therefore you must be comfortable in yourself in accepting terrorism will just be a fact of life we have to live with going forward.......which is absolutely crazy. Therefore the only other option, given capital punishment is unlikely to come back, is lock them up until they physically cannot commit such heinous crimes
IP: Logged
bear66 Posted on 03/12/2019 21:20

Death penalty for terrorists...
"former Parole Board chair Nick Hardwick argued that ďcuts and reorganisations of the prisons and probation service have made them much less able to do their jobs and keep the rest of us safeĒ.

The governmentís Transforming Rehabilitation programme split the probation system in two in 2015, with 21 private Community Rehabilitation Companies monitoring medium and low-risk offenders. The National Probation Service retained oversight of high-risk offenders.

However, this reform is now being reversed.

Hardwick said: ďWeíve neglected the criminal justice system and now the chickens are coming home to roost.Ē

Glenys Stacey was highly critical of reforms prior to resigning.

I haven't seen anything from Justin Russell since the attacks. Can you provide a link to where he said the stats for reformed radicals are low?
IP: Logged
Boromart Posted on 03/12/2019 23:57

Death penalty for terrorists...
Simple question for you pro-death penalty fans, how many people where born a terrorist?
IP: Logged
borofan402 Posted on 04/12/2019 01:32

Death penalty for terrorists...
"Simple question for you pro-death penalty fans, how many people where born a terrorist?"

I don't understand the point of this question. We all know that no-one is born a terrorist.

----------------------------------------
Usman Khan was convicted of a terrorism offence in 2012, locked up and later released into society. Khan shows how much he has reformed in this time by taking the lives of two innocent people.

I'm sorry its just not good enough, it doesn't work. They should never be allowed to be back into our society. Lock them up for life at least.
IP: Logged
Boromart Posted on 04/12/2019 17:36
Edited On: 04/12/2019 19:53
Death penalty for terrorists...
I didn't expect you to get the point of the question. So we are agreed terrorists are a product of their environment. So, the answer to terrorism is education, opportunity, a fair shot at life. They learn to be terrorists, they can also learn to not be terrorists. This guy went into prison at a time when real-term funding in prison was the lowest for a very long time. 29% of current offenders do re-offend, so 71% don't, but it has been higher than it currently is that is because prisoners have not got access to the services they need to bring them back into society.

Regarding the immature person who claimed that Blair lost us the war on terrorism by giving in to the IRA. Honestly, where to start with this one. OK, here goes, when I was a teenager I was aggressively anti-IRA, in my 20s I lived in the states and got into 'situations' with people over them drinking 'irish car bombs' on paddys day, in a bar at the beach playing pro-irish republican songs and one of the closest bars had IRA stickers in the bathroom and allegedly raised money for the IRA. So this stuff was right in my face and I was an angry man about it.

Now I'm in my 40s, I'm older, smarter and wiser. Now I ask why where we ever in Ireland? Why? Answer os Money. The establishment, in this country saw the opportunity to take land, profit and taxation from a set of people. Som it's the same old, privileged, elitist, landed gentry and old money who got benefit from the cessation of Ireland. Who paid for? Well the irish people in money and lives, the working class British soldiers in blood, the common man on the streets from terrorism.

The cessation of Ireland was nothing more than a money grab by the royals and their hangers on, and common people in two countries have paid for it. It's time to grow up and realise you have a lot more in common with those irish republicans than you do with the old money elites in this country who caused the issue.
IP: Logged
gerry_mander Posted on 05/12/2019 00:48

Death penalty for terrorists...
an interesting read.

where would you place this young 22 year old lad from Bath, Andrew Dymock, Terrorist ?

IP: Logged
Boromart Posted on 05/12/2019 00:55

Death penalty for terrorists...
He's the wrong colour terrorist, someone on here will have an excuse why he doesn't deserve the chair, yet any islamic terrorists do.
IP: Logged
gnorman1984 Posted on 05/12/2019 06:54
Edited On: 05/12/2019 06:55
Death penalty for terrorists...
Whether you agree with the death penalty for terrorists or not it will never happen. In theory it sounds like a great idea in the sense that if a person can take X amount of innocent lives including children deserve to die. In practice it will just cause more terrorism, and give more self justification for the ring leaders to spread hatred. In recent times terrorism has in general meant Islamic radicals, now these individuals know there is a high probability they will die in the process, so death is no deterrent. The only way the death penalty works in realality is as a deterrent but if somebody expects to die anyway and are promised eternal paradise ect ect then the death penalty doesn't matter any more to them. But from the other side it gives the radicals ammunition and reason to spread more hatred, It would be long before Mr Smith or Mrs Jones was kidnapped and used as a bargaining tool against the justice system, with a scenario along the lines of repeal the death sentance or Mr Smith will be executed over a live stream, which then puts the government in a awkward position, as then they have a choice give in to the terrorist or let the innocent person be killed, way they will have half the nation in uproar. Then there is the fact how do you define a terrorist? Is a group or drunk teens who male a bomb threat to a pub for a silly and drunk laugh classed as a terrorist? Is it only religious terrorist? There is just too much that could go wrong with the reality of the death penalty and no government would be brave enough to bring it in.
IP: Logged
jam69 Posted on 05/12/2019 09:01

Death penalty for terrorists...
capital punishment for the likes of these? or a chance rehabilitate?

Link: www.theguardian.com/uk-news/2019/sep/19/th
IP: Logged
CheshireBoro Posted on 05/12/2019 09:39

Death penalty for terrorists...
The judge in the Birmingham Six trials said that if the death penalty had been available to him, he would have used it.

And THAT is why we can never have the death penalty back, ever.
IP: Logged
icarus1965 Posted on 05/12/2019 18:34

Death penalty for terrorists...
Tougher prison sentence sounds better and keep them in for that duration.
IP: Logged
gerry_mander Posted on 06/12/2019 15:43

Death penalty for terrorists...
is Joseph McCann a terrorist?
IP: Logged
Muttley Posted on 06/12/2019 16:47

Death penalty for terrorists...
The terrorist who killed two on London Bridge was convicted in 2012 of "preparing for acts of terrorism".

He was one of eight convicted at the same time of the same offence. Are you saying that we should lock up the other seven for the rest of their lives? Execute them?

"... in yourself in accepting terrorism will just be a fact of life we have to live with going forward.......which is absolutely crazy."

It is a fact of life and will remain so until we address the problems we have caused.

Before the Invasion of Iraq it was predicted that such an action would precipitate years of unrest and violence. Many marched peacefully to protest our Government's decision to poodle up to the USA, many spoke out against it. (Including some prominent politicians like Mr. Corbyn). This is Blair's legacy but he is not alone in this because the Tory party rubber stamped this last colonial folly. If you want to stop terrorism you need to address the grievances of the people who are producing the terrorists. Ultimately you will have to talk with them, reach an understanding with them and give them peace to allow their children to grow up in safety. That will stop terrorism.

Not capital punishment or longer prison sentences.
IP: Logged
clive_road_stamper Posted on 06/12/2019 16:58

Death penalty for terrorists...
Good post Muttley - agreed.
Just a little bit soft on the Labour party who were in charge, but you're right.

We were always talking to the IRA during the troubles.
IP: Logged
klaus00 Posted on 06/12/2019 17:02

Death penalty for terrorists...
"Are you saying that we should lock up the other seven for the rest of their lives?"

Yes.
IP: Logged
joseph99 Posted on 06/12/2019 17:16

Death penalty for terrorists...
There is no compromising and negotiation with an extreme religious cult hell bent on jihadism. Once radicalised they should be sent to their maker.
IP: Logged
Muttley Posted on 06/12/2019 17:50

Death penalty for terrorists...
OK Joseph, what is your test for "radicalism"?
IP: Logged
joseph99 Posted on 06/12/2019 18:02

Death penalty for terrorists...
Evidence.
IP: Logged
Muttley Posted on 06/12/2019 18:06

Death penalty for terrorists...
OK what evidence?
IP: Logged
joseph99 Posted on 06/12/2019 18:25

Death penalty for terrorists...
Being caught in the act of conspiring or in the process of carrying out a terrorist activity, just like the recent nut job - that is pretty good evidence.
IP: Logged
redwurzel Posted on 06/12/2019 18:56

Death penalty for terrorists...
Nelsen Mandela was imprisoned for being part of the ANC which was deemed a terrorist organisation by the South African Government.

Quite few African leaders were deemed terrorists by the British Government in the 1950s and later the Queen had tea with them at Commonwealth meetings 20 or so years later.

Terrorist is a broad term and changes with time for some people.

I can fully understand anyone that wants someone killed who plants a bomb in a crowded shopping centre or who beheads an innocent aid worker, but we have to aware that killing 1 can create 3 in some circumstances.
IP: Logged
Muttley Posted on 06/12/2019 18:59

Death penalty for terrorists...
"Caught in the act of conspiring"

That's not a legal definition. Do you mean overheard talking about it, drawing up detailed plans, acquiring the material required (knives, explosives, etc.) or what?

At what point would a conversation about an attack become "conspiring"?

The "recent nut job" was caught carrying out a terrorist activity and is now safely dead, no tears here but I am struggling to see what you could do other than arrest and detain indefinitely anyone caught talking out the possibility of carrying out an attack. Such a strategy is more likely to recruit new Jihadis than to deter them.
IP: Logged
Muttley Posted on 06/12/2019 19:13

Death penalty for terrorists...
I think we're on the same page when it comes to someone "in the process of carrying out a terrorist activity", you shoot the fukker.

But sending someone to prison for the rest of their natural for "being caught in the act of conspiring" I think is problematic not least in terms of cost. In this case we are talking about seven others to keep for fifty years or so. Then there is the requirement for proof. A few pals/family members and perhaps one brings the subject up, arrest the lot? Then there is the level of proof required recordings? Testimony? Super grass? Never worked well in NI and our experience there shows that such draconian methods create a fertile recruiting drive for other would be terrorists.
IP: Logged
BessemerConvertor Posted on 06/12/2019 21:03

Death penalty for terrorists...
The normally accepted definition of a terrorist is
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2019 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.103